Delete a notification setting
Delete a notification setting.
DELETE
/
notification_settings
/
{id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const notificationSetting = await client.notificationSettings.delete(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
console.log(notificationSetting.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
notification_setting = client.notification_settings.delete(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(notification_setting.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
notificationSetting, err := client.NotificationSettings.Delete(context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", notificationSetting.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.notificationsettings.NotificationSettingDeleteParams;
import com.telnyx.sdk.models.notificationsettings.NotificationSettingDeleteResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
NotificationSettingDeleteResponse notificationSetting = client.notificationSettings().delete("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
notification_setting = telnyx.notification_settings.delete("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
puts(notification_setting)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$notificationSetting = $client->notificationSettings->delete(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e'
);
var_dump($notificationSetting);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx notification-settings delete \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request DELETE \
--url https://api.telnyx.com/v2/notification_settings/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "8eb5b5f9-5893-423c-9f15-b487713d44d4",
"notification_event_condition_id": "70c7c5cb-dce2-4124-accb-870d39dbe852",
"notification_profile_id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
"associated_record_type": "phone_number",
"associated_record_type_value": "+13125550000",
"status": "enable-received",
"notification_channel_id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
"parameters": [
{
"name": "phone_number",
"value": "+13125550000"
}
],
"created_at": "2019-10-15T10:07:15.527Z",
"updated_at": "2019-10-15T10:07:15.527Z"
}
}{
"data": {
"id": "8eb5b5f9-5893-423c-9f15-b487713d44d4",
"notification_event_condition_id": "70c7c5cb-dce2-4124-accb-870d39dbe852",
"notification_profile_id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
"associated_record_type": "phone_number",
"associated_record_type_value": "+13125550000",
"status": "enable-received",
"notification_channel_id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
"parameters": [
{
"name": "phone_number",
"value": "+13125550000"
}
],
"created_at": "2019-10-15T10:07:15.527Z",
"updated_at": "2019-10-15T10:07:15.527Z"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const notificationSetting = await client.notificationSettings.delete(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
console.log(notificationSetting.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
notification_setting = client.notification_settings.delete(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(notification_setting.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
notificationSetting, err := client.NotificationSettings.Delete(context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", notificationSetting.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.notificationsettings.NotificationSettingDeleteParams;
import com.telnyx.sdk.models.notificationsettings.NotificationSettingDeleteResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
NotificationSettingDeleteResponse notificationSetting = client.notificationSettings().delete("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
notification_setting = telnyx.notification_settings.delete("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
puts(notification_setting)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$notificationSetting = $client->notificationSettings->delete(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e'
);
var_dump($notificationSetting);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx notification-settings delete \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request DELETE \
--url https://api.telnyx.com/v2/notification_settings/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "8eb5b5f9-5893-423c-9f15-b487713d44d4",
"notification_event_condition_id": "70c7c5cb-dce2-4124-accb-870d39dbe852",
"notification_profile_id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
"associated_record_type": "phone_number",
"associated_record_type_value": "+13125550000",
"status": "enable-received",
"notification_channel_id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
"parameters": [
{
"name": "phone_number",
"value": "+13125550000"
}
],
"created_at": "2019-10-15T10:07:15.527Z",
"updated_at": "2019-10-15T10:07:15.527Z"
}
}{
"data": {
"id": "8eb5b5f9-5893-423c-9f15-b487713d44d4",
"notification_event_condition_id": "70c7c5cb-dce2-4124-accb-870d39dbe852",
"notification_profile_id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
"associated_record_type": "phone_number",
"associated_record_type_value": "+13125550000",
"status": "enable-received",
"notification_channel_id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
"parameters": [
{
"name": "phone_number",
"value": "+13125550000"
}
],
"created_at": "2019-10-15T10:07:15.527Z",
"updated_at": "2019-10-15T10:07:15.527Z"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}